/**
 * output package name
 */
package com.kingdee.eas.custom.expandassess.client;

import org.apache.log4j.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.border.*;
import javax.swing.BorderFactory;
import javax.swing.event.*;
import javax.swing.KeyStroke;

import com.kingdee.bos.ctrl.swing.*;
import com.kingdee.bos.ctrl.kdf.table.*;
import com.kingdee.bos.ctrl.kdf.data.event.*;
import com.kingdee.bos.dao.*;
import com.kingdee.bos.dao.query.*;
import com.kingdee.bos.metadata.*;
import com.kingdee.bos.metadata.entity.*;
import com.kingdee.bos.ui.face.*;
import com.kingdee.bos.ui.util.ResourceBundleHelper;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.util.enums.EnumUtils;
import com.kingdee.bos.ui.face.UIRuleUtil;
import com.kingdee.bos.ctrl.swing.event.*;
import com.kingdee.bos.ctrl.kdf.table.event.*;
import com.kingdee.bos.ctrl.extendcontrols.*;
import com.kingdee.bos.ctrl.kdf.util.render.*;
import com.kingdee.bos.ui.face.IItemAction;
import com.kingdee.eas.framework.batchHandler.RequestContext;
import com.kingdee.bos.ui.util.IUIActionPostman;
import com.kingdee.bos.appframework.client.servicebinding.ActionProxyFactory;
import com.kingdee.bos.appframework.uistatemanage.ActionStateConst;
import com.kingdee.bos.appframework.validator.ValidateHelper;
import com.kingdee.bos.appframework.uip.UINavigator;


/**
 * output class name
 */
public abstract class AbstractExpandAssessEditUI extends com.kingdee.eas.framework.client.CoreBillEditUI
{
    private static final Logger logger = CoreUIObject.getLogger(AbstractExpandAssessEditUI.class);
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreator;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contNumber;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contBizDate;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contDescription;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contAuditor;
    protected com.kingdee.bos.ctrl.kdf.table.KDTable kdtEntrys;
	protected com.kingdee.eas.framework.client.multiDetail.DetailPanel kdtEntrys_detailPanel = null;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contyear;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contquarter;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contperiodType;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contperiodStatus;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtCreator;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker kDDateCreateTime;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker kDDateLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtNumber;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkBizDate;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtDescription;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtAuditor;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtyear;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtquarter;
    protected com.kingdee.bos.ctrl.swing.KDComboBox periodType;
    protected com.kingdee.bos.ctrl.swing.KDComboBox periodStatus;
    protected com.kingdee.eas.custom.expandassess.ExpandAssessInfo editData = null;
    /**
     * output class constructor
     */
    public AbstractExpandAssessEditUI() throws Exception
    {
        super();
        this.defaultObjectName = "editData";
        jbInit();
        
        initUIP();
    }

    /**
     * output jbInit method
     */
    private void jbInit() throws Exception
    {
        this.resHelper = new ResourceBundleHelper(AbstractExpandAssessEditUI.class.getName());
        this.setUITitle(resHelper.getString("this.title"));
        //actionSubmit
        String _tempStr = null;
        actionSubmit.setEnabled(true);
        actionSubmit.setDaemonRun(false);

        actionSubmit.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl S"));
        _tempStr = resHelper.getString("ActionSubmit.SHORT_DESCRIPTION");
        actionSubmit.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.LONG_DESCRIPTION");
        actionSubmit.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.NAME");
        actionSubmit.putValue(ItemAction.NAME, _tempStr);
        this.actionSubmit.setBindWorkFlow(true);
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        //actionPrint
        actionPrint.setEnabled(true);
        actionPrint.setDaemonRun(false);

        actionPrint.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl P"));
        _tempStr = resHelper.getString("ActionPrint.SHORT_DESCRIPTION");
        actionPrint.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrint.LONG_DESCRIPTION");
        actionPrint.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrint.NAME");
        actionPrint.putValue(ItemAction.NAME, _tempStr);
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        //actionPrintPreview
        actionPrintPreview.setEnabled(true);
        actionPrintPreview.setDaemonRun(false);

        actionPrintPreview.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("shift ctrl P"));
        _tempStr = resHelper.getString("ActionPrintPreview.SHORT_DESCRIPTION");
        actionPrintPreview.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrintPreview.LONG_DESCRIPTION");
        actionPrintPreview.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrintPreview.NAME");
        actionPrintPreview.putValue(ItemAction.NAME, _tempStr);
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        this.contCreator = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contCreateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateUser = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contNumber = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contBizDate = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contDescription = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contAuditor = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.kdtEntrys = new com.kingdee.bos.ctrl.kdf.table.KDTable();
        this.contyear = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contquarter = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contperiodType = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contperiodStatus = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.prmtCreator = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.kDDateCreateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtLastUpdateUser = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.kDDateLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtNumber = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.pkBizDate = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtDescription = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.prmtAuditor = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.txtyear = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtquarter = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.periodType = new com.kingdee.bos.ctrl.swing.KDComboBox();
        this.periodStatus = new com.kingdee.bos.ctrl.swing.KDComboBox();
        this.contCreator.setName("contCreator");
        this.contCreateTime.setName("contCreateTime");
        this.contLastUpdateUser.setName("contLastUpdateUser");
        this.contLastUpdateTime.setName("contLastUpdateTime");
        this.contNumber.setName("contNumber");
        this.contBizDate.setName("contBizDate");
        this.contDescription.setName("contDescription");
        this.contAuditor.setName("contAuditor");
        this.kdtEntrys.setName("kdtEntrys");
        this.contyear.setName("contyear");
        this.contquarter.setName("contquarter");
        this.contperiodType.setName("contperiodType");
        this.contperiodStatus.setName("contperiodStatus");
        this.prmtCreator.setName("prmtCreator");
        this.kDDateCreateTime.setName("kDDateCreateTime");
        this.prmtLastUpdateUser.setName("prmtLastUpdateUser");
        this.kDDateLastUpdateTime.setName("kDDateLastUpdateTime");
        this.txtNumber.setName("txtNumber");
        this.pkBizDate.setName("pkBizDate");
        this.txtDescription.setName("txtDescription");
        this.prmtAuditor.setName("prmtAuditor");
        this.txtyear.setName("txtyear");
        this.txtquarter.setName("txtquarter");
        this.periodType.setName("periodType");
        this.periodStatus.setName("periodStatus");
        // CoreUI		
        this.btnTraceUp.setVisible(false);		
        this.btnTraceDown.setVisible(false);		
        this.btnCreateTo.setVisible(true);		
        this.btnAddLine.setVisible(false);		
        this.btnCopyLine.setVisible(false);		
        this.btnInsertLine.setVisible(false);		
        this.btnRemoveLine.setVisible(false);		
        this.btnAuditResult.setVisible(false);		
        this.separator1.setVisible(false);		
        this.menuItemCreateTo.setVisible(true);		
        this.separator3.setVisible(false);		
        this.menuItemTraceUp.setVisible(false);		
        this.menuItemTraceDown.setVisible(false);		
        this.menuTable1.setVisible(false);		
        this.menuItemAddLine.setVisible(false);		
        this.menuItemCopyLine.setVisible(false);		
        this.menuItemInsertLine.setVisible(false);		
        this.menuItemRemoveLine.setVisible(false);		
        this.menuItemViewSubmitProccess.setVisible(false);		
        this.menuItemViewDoProccess.setVisible(false);		
        this.menuItemAuditResult.setVisible(false);
        // contCreator		
        this.contCreator.setBoundLabelText(resHelper.getString("contCreator.boundLabelText"));		
        this.contCreator.setBoundLabelLength(100);		
        this.contCreator.setBoundLabelUnderline(true);		
        this.contCreator.setEnabled(false);
        // contCreateTime		
        this.contCreateTime.setBoundLabelText(resHelper.getString("contCreateTime.boundLabelText"));		
        this.contCreateTime.setBoundLabelLength(100);		
        this.contCreateTime.setBoundLabelUnderline(true);		
        this.contCreateTime.setEnabled(false);
        // contLastUpdateUser		
        this.contLastUpdateUser.setBoundLabelText(resHelper.getString("contLastUpdateUser.boundLabelText"));		
        this.contLastUpdateUser.setBoundLabelLength(100);		
        this.contLastUpdateUser.setBoundLabelUnderline(true);		
        this.contLastUpdateUser.setEnabled(false);		
        this.contLastUpdateUser.setVisible(false);
        // contLastUpdateTime		
        this.contLastUpdateTime.setBoundLabelText(resHelper.getString("contLastUpdateTime.boundLabelText"));		
        this.contLastUpdateTime.setBoundLabelLength(100);		
        this.contLastUpdateTime.setBoundLabelUnderline(true);		
        this.contLastUpdateTime.setEnabled(false);		
        this.contLastUpdateTime.setVisible(false);
        // contNumber		
        this.contNumber.setBoundLabelText(resHelper.getString("contNumber.boundLabelText"));		
        this.contNumber.setBoundLabelLength(100);		
        this.contNumber.setBoundLabelUnderline(true);
        // contBizDate		
        this.contBizDate.setBoundLabelText(resHelper.getString("contBizDate.boundLabelText"));		
        this.contBizDate.setBoundLabelLength(100);		
        this.contBizDate.setBoundLabelUnderline(true);		
        this.contBizDate.setBoundLabelAlignment(7);		
        this.contBizDate.setVisible(true);
        // contDescription		
        this.contDescription.setBoundLabelText(resHelper.getString("contDescription.boundLabelText"));		
        this.contDescription.setBoundLabelLength(100);		
        this.contDescription.setBoundLabelUnderline(true);
        // contAuditor		
        this.contAuditor.setBoundLabelText(resHelper.getString("contAuditor.boundLabelText"));		
        this.contAuditor.setBoundLabelLength(100);		
        this.contAuditor.setBoundLabelUnderline(true);
        // kdtEntrys
		String kdtEntrysStrXML = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><DocRoot xmlns:c=\"http://www.kingdee.com/Common\" xmlns:f=\"http://www.kingdee.com/Form\" xmlns:t=\"http://www.kingdee.com/Table\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:schemaLocation=\"http://www.kingdee.com/KDF KDFSchema.xsd\" version=\"0.0\"><Styles><c:Style id=\"sCol0\"><c:Protection hidden=\"true\" /></c:Style><c:Style id=\"sCol3\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style><c:Style id=\"sCol4\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style><c:Style id=\"sCol5\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style><c:Style id=\"sCol6\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style><c:Style id=\"sCol8\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style><c:Style id=\"sCol9\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style><c:Style id=\"sCol11\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style><c:Style id=\"sCol12\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style><c:Style id=\"sCol13\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style><c:Style id=\"sCol14\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style><c:Style id=\"sCol15\"><c:NumberFormat>&amp;int</c:NumberFormat></c:Style></Styles><Table id=\"KDTable\"><t:Sheet name=\"sheet1\"><t:Table t:selectMode=\"15\" t:mergeMode=\"0\" t:dataRequestMode=\"0\" t:pageRowCount=\"100\"><t:ColumnGroup><t:Column t:key=\"id\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol0\" /><t:Column t:key=\"assessor\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"adminOrg\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"coefficient\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol3\" /><t:Column t:key=\"threshold\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol4\" /><t:Column t:key=\"target\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol5\" /><t:Column t:key=\"challenge\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol6\" /><t:Column t:key=\"principal\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"oneLift\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol8\" /><t:Column t:key=\"uniteLift\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol9\" /><t:Column t:key=\"asseStatus\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"shareLiftRes\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol11\" /><t:Column t:key=\"shareLiftZY\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol12\" /><t:Column t:key=\"shareLiftLC\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol13\" /><t:Column t:key=\"contracts\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol14\" /><t:Column t:key=\"rankings\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol15\" /><t:Column t:key=\"assessRate\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"checkRate\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"remark\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"amendAssessRate\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /></t:ColumnGroup><t:Head><t:Row t:name=\"header\" t:height=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\"><t:Cell>$Resource{id}</t:Cell><t:Cell>$Resource{assessor}</t:Cell><t:Cell>$Resource{adminOrg}</t:Cell><t:Cell>$Resource{coefficient}</t:Cell><t:Cell>$Resource{threshold}</t:Cell><t:Cell>$Resource{target}</t:Cell><t:Cell>$Resource{challenge}</t:Cell><t:Cell>$Resource{principal}</t:Cell><t:Cell>$Resource{oneLift}</t:Cell><t:Cell>$Resource{uniteLift}</t:Cell><t:Cell>$Resource{asseStatus}</t:Cell><t:Cell>$Resource{shareLiftRes}</t:Cell><t:Cell>$Resource{shareLiftZY}</t:Cell><t:Cell>$Resource{shareLiftLC}</t:Cell><t:Cell>$Resource{contracts}</t:Cell><t:Cell>$Resource{rankings}</t:Cell><t:Cell>$Resource{assessRate}</t:Cell><t:Cell>$Resource{checkRate}</t:Cell><t:Cell>$Resource{remark}</t:Cell><t:Cell>$Resource{amendAssessRate}</t:Cell></t:Row></t:Head></t:Table><t:SheetOptions><t:MergeBlocks><t:Head /></t:MergeBlocks></t:SheetOptions></t:Sheet></Table></DocRoot>";
		
        this.kdtEntrys.setFormatXml(resHelper.translateString("kdtEntrys",kdtEntrysStrXML));

                this.kdtEntrys.putBindContents("editData",new String[] {"id","assessor","adminOrg","coefficient","threshold","target","challenge","principal","oneLift","uniteLift","asseStatus","shareLiftRes","shareLiftZY","shareLiftLC","contracts","rankings","assessRate","checkRate","remark","amendAssessRate"});


        this.kdtEntrys.checkParsed();
        final KDBizPromptBox kdtEntrys_assessor_PromptBox = new KDBizPromptBox();
        kdtEntrys_assessor_PromptBox.setQueryInfo("com.kingdee.eas.basedata.person.app.PersonQuery");
        kdtEntrys_assessor_PromptBox.setVisible(true);
        kdtEntrys_assessor_PromptBox.setEditable(true);
        kdtEntrys_assessor_PromptBox.setDisplayFormat("$number$");
        kdtEntrys_assessor_PromptBox.setEditFormat("$number$");
        kdtEntrys_assessor_PromptBox.setCommitFormat("$number$");
        KDTDefaultCellEditor kdtEntrys_assessor_CellEditor = new KDTDefaultCellEditor(kdtEntrys_assessor_PromptBox);
        this.kdtEntrys.getColumn("assessor").setEditor(kdtEntrys_assessor_CellEditor);
        ObjectValueRender kdtEntrys_assessor_OVR = new ObjectValueRender();
        kdtEntrys_assessor_OVR.setFormat(new BizDataFormat("$name$"));
        this.kdtEntrys.getColumn("assessor").setRenderer(kdtEntrys_assessor_OVR);
        final KDBizPromptBox kdtEntrys_adminOrg_PromptBox = new KDBizPromptBox();
        kdtEntrys_adminOrg_PromptBox.setQueryInfo("com.kingdee.eas.basedata.org.app.AdminItemQuery");
        kdtEntrys_adminOrg_PromptBox.setVisible(true);
        kdtEntrys_adminOrg_PromptBox.setEditable(true);
        kdtEntrys_adminOrg_PromptBox.setDisplayFormat("$number$");
        kdtEntrys_adminOrg_PromptBox.setEditFormat("$number$");
        kdtEntrys_adminOrg_PromptBox.setCommitFormat("$number$");
        KDTDefaultCellEditor kdtEntrys_adminOrg_CellEditor = new KDTDefaultCellEditor(kdtEntrys_adminOrg_PromptBox);
        this.kdtEntrys.getColumn("adminOrg").setEditor(kdtEntrys_adminOrg_CellEditor);
        ObjectValueRender kdtEntrys_adminOrg_OVR = new ObjectValueRender();
        kdtEntrys_adminOrg_OVR.setFormat(new BizDataFormat("$name$"));
        this.kdtEntrys.getColumn("adminOrg").setRenderer(kdtEntrys_adminOrg_OVR);
        KDFormattedTextField kdtEntrys_coefficient_TextField = new KDFormattedTextField();
        kdtEntrys_coefficient_TextField.setName("kdtEntrys_coefficient_TextField");
        kdtEntrys_coefficient_TextField.setVisible(true);
        kdtEntrys_coefficient_TextField.setEditable(true);
        kdtEntrys_coefficient_TextField.setHorizontalAlignment(2);
        kdtEntrys_coefficient_TextField.setDataType(1);
        	kdtEntrys_coefficient_TextField.setMinimumValue(new java.math.BigDecimal("-99.9999"));
        	kdtEntrys_coefficient_TextField.setMaximumValue(new java.math.BigDecimal("99.9999"));
        kdtEntrys_coefficient_TextField.setPrecision(4);
        KDTDefaultCellEditor kdtEntrys_coefficient_CellEditor = new KDTDefaultCellEditor(kdtEntrys_coefficient_TextField);
        this.kdtEntrys.getColumn("coefficient").setEditor(kdtEntrys_coefficient_CellEditor);
        KDFormattedTextField kdtEntrys_threshold_TextField = new KDFormattedTextField();
        kdtEntrys_threshold_TextField.setName("kdtEntrys_threshold_TextField");
        kdtEntrys_threshold_TextField.setVisible(true);
        kdtEntrys_threshold_TextField.setEditable(true);
        kdtEntrys_threshold_TextField.setHorizontalAlignment(2);
        kdtEntrys_threshold_TextField.setDataType(1);
        	kdtEntrys_threshold_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys_threshold_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys_threshold_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys_threshold_CellEditor = new KDTDefaultCellEditor(kdtEntrys_threshold_TextField);
        this.kdtEntrys.getColumn("threshold").setEditor(kdtEntrys_threshold_CellEditor);
        KDFormattedTextField kdtEntrys_target_TextField = new KDFormattedTextField();
        kdtEntrys_target_TextField.setName("kdtEntrys_target_TextField");
        kdtEntrys_target_TextField.setVisible(true);
        kdtEntrys_target_TextField.setEditable(true);
        kdtEntrys_target_TextField.setHorizontalAlignment(2);
        kdtEntrys_target_TextField.setDataType(1);
        	kdtEntrys_target_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys_target_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys_target_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys_target_CellEditor = new KDTDefaultCellEditor(kdtEntrys_target_TextField);
        this.kdtEntrys.getColumn("target").setEditor(kdtEntrys_target_CellEditor);
        KDFormattedTextField kdtEntrys_challenge_TextField = new KDFormattedTextField();
        kdtEntrys_challenge_TextField.setName("kdtEntrys_challenge_TextField");
        kdtEntrys_challenge_TextField.setVisible(true);
        kdtEntrys_challenge_TextField.setEditable(true);
        kdtEntrys_challenge_TextField.setHorizontalAlignment(2);
        kdtEntrys_challenge_TextField.setDataType(1);
        	kdtEntrys_challenge_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys_challenge_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys_challenge_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys_challenge_CellEditor = new KDTDefaultCellEditor(kdtEntrys_challenge_TextField);
        this.kdtEntrys.getColumn("challenge").setEditor(kdtEntrys_challenge_CellEditor);
        final KDBizPromptBox kdtEntrys_principal_PromptBox = new KDBizPromptBox();
        kdtEntrys_principal_PromptBox.setQueryInfo("com.kingdee.eas.basedata.person.app.PersonQuery");
        kdtEntrys_principal_PromptBox.setVisible(true);
        kdtEntrys_principal_PromptBox.setEditable(true);
        kdtEntrys_principal_PromptBox.setDisplayFormat("$number$");
        kdtEntrys_principal_PromptBox.setEditFormat("$number$");
        kdtEntrys_principal_PromptBox.setCommitFormat("$number$");
        KDTDefaultCellEditor kdtEntrys_principal_CellEditor = new KDTDefaultCellEditor(kdtEntrys_principal_PromptBox);
        this.kdtEntrys.getColumn("principal").setEditor(kdtEntrys_principal_CellEditor);
        ObjectValueRender kdtEntrys_principal_OVR = new ObjectValueRender();
        kdtEntrys_principal_OVR.setFormat(new BizDataFormat("$name$"));
        this.kdtEntrys.getColumn("principal").setRenderer(kdtEntrys_principal_OVR);
        KDFormattedTextField kdtEntrys_oneLift_TextField = new KDFormattedTextField();
        kdtEntrys_oneLift_TextField.setName("kdtEntrys_oneLift_TextField");
        kdtEntrys_oneLift_TextField.setVisible(true);
        kdtEntrys_oneLift_TextField.setEditable(true);
        kdtEntrys_oneLift_TextField.setHorizontalAlignment(2);
        kdtEntrys_oneLift_TextField.setDataType(1);
        	kdtEntrys_oneLift_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys_oneLift_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys_oneLift_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys_oneLift_CellEditor = new KDTDefaultCellEditor(kdtEntrys_oneLift_TextField);
        this.kdtEntrys.getColumn("oneLift").setEditor(kdtEntrys_oneLift_CellEditor);
        KDFormattedTextField kdtEntrys_uniteLift_TextField = new KDFormattedTextField();
        kdtEntrys_uniteLift_TextField.setName("kdtEntrys_uniteLift_TextField");
        kdtEntrys_uniteLift_TextField.setVisible(true);
        kdtEntrys_uniteLift_TextField.setEditable(true);
        kdtEntrys_uniteLift_TextField.setHorizontalAlignment(2);
        kdtEntrys_uniteLift_TextField.setDataType(1);
        	kdtEntrys_uniteLift_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys_uniteLift_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys_uniteLift_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys_uniteLift_CellEditor = new KDTDefaultCellEditor(kdtEntrys_uniteLift_TextField);
        this.kdtEntrys.getColumn("uniteLift").setEditor(kdtEntrys_uniteLift_CellEditor);
        KDComboBox kdtEntrys_asseStatus_ComboBox = new KDComboBox();
        kdtEntrys_asseStatus_ComboBox.setName("kdtEntrys_asseStatus_ComboBox");
        kdtEntrys_asseStatus_ComboBox.setVisible(true);
        kdtEntrys_asseStatus_ComboBox.addItems(EnumUtils.getEnumList("com.kingdee.eas.custom.expandassess.app.ExpandStatusEunm").toArray());
        KDTDefaultCellEditor kdtEntrys_asseStatus_CellEditor = new KDTDefaultCellEditor(kdtEntrys_asseStatus_ComboBox);
        this.kdtEntrys.getColumn("asseStatus").setEditor(kdtEntrys_asseStatus_CellEditor);
        KDFormattedTextField kdtEntrys_shareLiftRes_TextField = new KDFormattedTextField();
        kdtEntrys_shareLiftRes_TextField.setName("kdtEntrys_shareLiftRes_TextField");
        kdtEntrys_shareLiftRes_TextField.setVisible(true);
        kdtEntrys_shareLiftRes_TextField.setEditable(true);
        kdtEntrys_shareLiftRes_TextField.setHorizontalAlignment(2);
        kdtEntrys_shareLiftRes_TextField.setDataType(1);
        	kdtEntrys_shareLiftRes_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys_shareLiftRes_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys_shareLiftRes_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys_shareLiftRes_CellEditor = new KDTDefaultCellEditor(kdtEntrys_shareLiftRes_TextField);
        this.kdtEntrys.getColumn("shareLiftRes").setEditor(kdtEntrys_shareLiftRes_CellEditor);
        KDFormattedTextField kdtEntrys_shareLiftZY_TextField = new KDFormattedTextField();
        kdtEntrys_shareLiftZY_TextField.setName("kdtEntrys_shareLiftZY_TextField");
        kdtEntrys_shareLiftZY_TextField.setVisible(true);
        kdtEntrys_shareLiftZY_TextField.setEditable(true);
        kdtEntrys_shareLiftZY_TextField.setHorizontalAlignment(2);
        kdtEntrys_shareLiftZY_TextField.setDataType(1);
        	kdtEntrys_shareLiftZY_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys_shareLiftZY_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys_shareLiftZY_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys_shareLiftZY_CellEditor = new KDTDefaultCellEditor(kdtEntrys_shareLiftZY_TextField);
        this.kdtEntrys.getColumn("shareLiftZY").setEditor(kdtEntrys_shareLiftZY_CellEditor);
        KDFormattedTextField kdtEntrys_shareLiftLC_TextField = new KDFormattedTextField();
        kdtEntrys_shareLiftLC_TextField.setName("kdtEntrys_shareLiftLC_TextField");
        kdtEntrys_shareLiftLC_TextField.setVisible(true);
        kdtEntrys_shareLiftLC_TextField.setEditable(true);
        kdtEntrys_shareLiftLC_TextField.setHorizontalAlignment(2);
        kdtEntrys_shareLiftLC_TextField.setDataType(1);
        	kdtEntrys_shareLiftLC_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys_shareLiftLC_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys_shareLiftLC_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys_shareLiftLC_CellEditor = new KDTDefaultCellEditor(kdtEntrys_shareLiftLC_TextField);
        this.kdtEntrys.getColumn("shareLiftLC").setEditor(kdtEntrys_shareLiftLC_CellEditor);
        KDFormattedTextField kdtEntrys_contracts_TextField = new KDFormattedTextField();
        kdtEntrys_contracts_TextField.setName("kdtEntrys_contracts_TextField");
        kdtEntrys_contracts_TextField.setVisible(true);
        kdtEntrys_contracts_TextField.setEditable(true);
        kdtEntrys_contracts_TextField.setHorizontalAlignment(2);
        kdtEntrys_contracts_TextField.setDataType(1);
        	kdtEntrys_contracts_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys_contracts_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys_contracts_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys_contracts_CellEditor = new KDTDefaultCellEditor(kdtEntrys_contracts_TextField);
        this.kdtEntrys.getColumn("contracts").setEditor(kdtEntrys_contracts_CellEditor);
        KDFormattedTextField kdtEntrys_rankings_TextField = new KDFormattedTextField();
        kdtEntrys_rankings_TextField.setName("kdtEntrys_rankings_TextField");
        kdtEntrys_rankings_TextField.setVisible(true);
        kdtEntrys_rankings_TextField.setEditable(true);
        kdtEntrys_rankings_TextField.setHorizontalAlignment(2);
        kdtEntrys_rankings_TextField.setDataType(0);
        KDTDefaultCellEditor kdtEntrys_rankings_CellEditor = new KDTDefaultCellEditor(kdtEntrys_rankings_TextField);
        this.kdtEntrys.getColumn("rankings").setEditor(kdtEntrys_rankings_CellEditor);
        KDComboBox kdtEntrys_assessRate_ComboBox = new KDComboBox();
        kdtEntrys_assessRate_ComboBox.setName("kdtEntrys_assessRate_ComboBox");
        kdtEntrys_assessRate_ComboBox.setVisible(true);
        kdtEntrys_assessRate_ComboBox.addItems(EnumUtils.getEnumList("com.kingdee.eas.custom.expandassess.app.AssessRatingEnum").toArray());
        KDTDefaultCellEditor kdtEntrys_assessRate_CellEditor = new KDTDefaultCellEditor(kdtEntrys_assessRate_ComboBox);
        this.kdtEntrys.getColumn("assessRate").setEditor(kdtEntrys_assessRate_CellEditor);
        KDComboBox kdtEntrys_checkRate_ComboBox = new KDComboBox();
        kdtEntrys_checkRate_ComboBox.setName("kdtEntrys_checkRate_ComboBox");
        kdtEntrys_checkRate_ComboBox.setVisible(true);
        kdtEntrys_checkRate_ComboBox.addItems(EnumUtils.getEnumList("com.kingdee.eas.custom.expandassess.app.AssessRatingEnum").toArray());
        KDTDefaultCellEditor kdtEntrys_checkRate_CellEditor = new KDTDefaultCellEditor(kdtEntrys_checkRate_ComboBox);
        this.kdtEntrys.getColumn("checkRate").setEditor(kdtEntrys_checkRate_CellEditor);
        KDTextField kdtEntrys_remark_TextField = new KDTextField();
        kdtEntrys_remark_TextField.setName("kdtEntrys_remark_TextField");
        kdtEntrys_remark_TextField.setMaxLength(254);
        KDTDefaultCellEditor kdtEntrys_remark_CellEditor = new KDTDefaultCellEditor(kdtEntrys_remark_TextField);
        this.kdtEntrys.getColumn("remark").setEditor(kdtEntrys_remark_CellEditor);
        KDComboBox kdtEntrys_amendAssessRate_ComboBox = new KDComboBox();
        kdtEntrys_amendAssessRate_ComboBox.setName("kdtEntrys_amendAssessRate_ComboBox");
        kdtEntrys_amendAssessRate_ComboBox.setVisible(true);
        kdtEntrys_amendAssessRate_ComboBox.addItems(EnumUtils.getEnumList("com.kingdee.eas.custom.expandassess.app.AssessRatingEnum").toArray());
        KDTDefaultCellEditor kdtEntrys_amendAssessRate_CellEditor = new KDTDefaultCellEditor(kdtEntrys_amendAssessRate_ComboBox);
        this.kdtEntrys.getColumn("amendAssessRate").setEditor(kdtEntrys_amendAssessRate_CellEditor);
        // contyear		
        this.contyear.setBoundLabelText(resHelper.getString("contyear.boundLabelText"));		
        this.contyear.setBoundLabelLength(100);		
        this.contyear.setBoundLabelUnderline(true);		
        this.contyear.setVisible(true);
        // contquarter		
        this.contquarter.setBoundLabelText(resHelper.getString("contquarter.boundLabelText"));		
        this.contquarter.setBoundLabelLength(100);		
        this.contquarter.setBoundLabelUnderline(true);		
        this.contquarter.setVisible(true);
        // contperiodType		
        this.contperiodType.setBoundLabelText(resHelper.getString("contperiodType.boundLabelText"));		
        this.contperiodType.setBoundLabelLength(100);		
        this.contperiodType.setBoundLabelUnderline(true);		
        this.contperiodType.setVisible(true);
        // contperiodStatus		
        this.contperiodStatus.setBoundLabelText(resHelper.getString("contperiodStatus.boundLabelText"));		
        this.contperiodStatus.setBoundLabelLength(100);		
        this.contperiodStatus.setBoundLabelUnderline(true);		
        this.contperiodStatus.setVisible(true);
        // prmtCreator		
        this.prmtCreator.setEnabled(false);
        // kDDateCreateTime		
        this.kDDateCreateTime.setTimeEnabled(true);		
        this.kDDateCreateTime.setEnabled(false);
        // prmtLastUpdateUser		
        this.prmtLastUpdateUser.setEnabled(false);
        // kDDateLastUpdateTime		
        this.kDDateLastUpdateTime.setTimeEnabled(true);		
        this.kDDateLastUpdateTime.setEnabled(false);
        // txtNumber		
        this.txtNumber.setMaxLength(80);
        // pkBizDate		
        this.pkBizDate.setVisible(true);		
        this.pkBizDate.setEnabled(true);
        // txtDescription		
        this.txtDescription.setMaxLength(80);
        // prmtAuditor		
        this.prmtAuditor.setEnabled(false);
        // txtyear		
        this.txtyear.setVisible(true);		
        this.txtyear.setHorizontalAlignment(2);		
        this.txtyear.setDataType(0);		
        this.txtyear.setSupportedEmpty(true);		
        this.txtyear.setRequired(false);
        // txtquarter		
        this.txtquarter.setVisible(true);		
        this.txtquarter.setHorizontalAlignment(2);		
        this.txtquarter.setDataType(0);		
        this.txtquarter.setSupportedEmpty(true);		
        this.txtquarter.setRequired(false);
        // periodType		
        this.periodType.setVisible(true);		
        this.periodType.addItems(EnumUtils.getEnumList("com.kingdee.eas.basedata.scm.sd.channel.PeriodTypeEnum").toArray());		
        this.periodType.setRequired(false);
        // periodStatus		
        this.periodStatus.setVisible(true);		
        this.periodStatus.addItems(EnumUtils.getEnumList("com.kingdee.eas.custom.expandassess.app.PeriodStatusEnum").toArray());		
        this.periodStatus.setRequired(false);
        this.setFocusTraversalPolicy(new com.kingdee.bos.ui.UIFocusTraversalPolicy(new java.awt.Component[] {txtyear,txtquarter,kDDateLastUpdateTime,prmtLastUpdateUser,kDDateCreateTime,prmtCreator,prmtAuditor,txtDescription,pkBizDate,txtNumber,kdtEntrys,periodType,periodStatus}));
        this.setFocusCycleRoot(true);
		//Register control's property binding
		registerBindings();
		registerUIState();


    }

	public com.kingdee.bos.ctrl.swing.KDToolBar[] getUIMultiToolBar(){
		java.util.List list = new java.util.ArrayList();
		com.kingdee.bos.ctrl.swing.KDToolBar[] bars = super.getUIMultiToolBar();
		if (bars != null) {
			list.addAll(java.util.Arrays.asList(bars));
		}
		return (com.kingdee.bos.ctrl.swing.KDToolBar[])list.toArray(new com.kingdee.bos.ctrl.swing.KDToolBar[list.size()]);
	}




    /**
     * output initUIContentLayout method
     */
    public void initUIContentLayout()
    {
        this.setBounds(new Rectangle(0, 0, 1013, 629));
        this.setLayout(null);
        contCreator.setBounds(new Rectangle(440, 524, 270, 19));
        this.add(contCreator, null);
        contCreateTime.setBounds(new Rectangle(730, 524, 270, 19));
        this.add(contCreateTime, null);
        contLastUpdateUser.setBounds(new Rectangle(440, 555, 270, 19));
        this.add(contLastUpdateUser, null);
        contLastUpdateTime.setBounds(new Rectangle(730, 555, 270, 19));
        this.add(contLastUpdateTime, null);
        contNumber.setBounds(new Rectangle(728, 26, 270, 19));
        this.add(contNumber, null);
        contBizDate.setBounds(new Rectangle(350, 66, 270, 19));
        this.add(contBizDate, null);
        contDescription.setBounds(new Rectangle(728, 66, 270, 19));
        this.add(contDescription, null);
        contAuditor.setBounds(new Rectangle(15, 528, 270, 19));
        this.add(contAuditor, null);
        kdtEntrys.setBounds(new Rectangle(12, 99, 991, 413));
        kdtEntrys_detailPanel = (com.kingdee.eas.framework.client.multiDetail.DetailPanel)com.kingdee.eas.framework.client.multiDetail.HMDUtils.buildDetail(this,dataBinder,kdtEntrys,new com.kingdee.eas.custom.expandassess.ExpandAssessEntryInfo(),null,false);
        this.add(kdtEntrys_detailPanel, null);
		kdtEntrys_detailPanel.addAddListener(new com.kingdee.eas.framework.client.multiDetail.IDetailPanelListener() {
			public void beforeEvent(com.kingdee.eas.framework.client.multiDetail.DetailPanelEvent event) throws Exception {
				IObjectValue vo = event.getObjectValue();
		vo.put("coefficient",new java.math.BigDecimal(0));
		vo.put("threshold",new java.math.BigDecimal(0));
		vo.put("target",new java.math.BigDecimal(0));
		vo.put("challenge",new java.math.BigDecimal(0));
		vo.put("oneLift",new java.math.BigDecimal(0));
		vo.put("uniteLift",new java.math.BigDecimal(0));
vo.put("asseStatus","1");
		vo.put("shareLiftRes",new java.math.BigDecimal(0));
		vo.put("shareLiftZY",new java.math.BigDecimal(0));
		vo.put("shareLiftLC",new java.math.BigDecimal(0));
		vo.put("contracts",new java.math.BigDecimal(0));
vo.put("assessRate","1");
vo.put("checkRate","1");
vo.put("amendAssessRate","1");
			}
			public void afterEvent(com.kingdee.eas.framework.client.multiDetail.DetailPanelEvent event) throws Exception {
			}
		});
        contyear.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contyear, null);
        contquarter.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contquarter, null);
        contperiodType.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contperiodType, null);
        contperiodStatus.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contperiodStatus, null);
        //contCreator
        contCreator.setBoundEditor(prmtCreator);
        //contCreateTime
        contCreateTime.setBoundEditor(kDDateCreateTime);
        //contLastUpdateUser
        contLastUpdateUser.setBoundEditor(prmtLastUpdateUser);
        //contLastUpdateTime
        contLastUpdateTime.setBoundEditor(kDDateLastUpdateTime);
        //contNumber
        contNumber.setBoundEditor(txtNumber);
        //contBizDate
        contBizDate.setBoundEditor(pkBizDate);
        //contDescription
        contDescription.setBoundEditor(txtDescription);
        //contAuditor
        contAuditor.setBoundEditor(prmtAuditor);
        //contyear
        contyear.setBoundEditor(txtyear);
        //contquarter
        contquarter.setBoundEditor(txtquarter);
        //contperiodType
        contperiodType.setBoundEditor(periodType);
        //contperiodStatus
        contperiodStatus.setBoundEditor(periodStatus);

    }


    /**
     * output initUIMenuBarLayout method
     */
    public void initUIMenuBarLayout()
    {
        this.menuBar.add(menuFile);
        this.menuBar.add(menuEdit);
        this.menuBar.add(MenuService);
        this.menuBar.add(menuView);
        this.menuBar.add(menuBiz);
        this.menuBar.add(menuTable1);
        this.menuBar.add(menuTool);
        this.menuBar.add(menuWorkflow);
        this.menuBar.add(menuHelp);
        //menuFile
        menuFile.add(menuItemAddNew);
        menuFile.add(kDSeparator1);
        menuFile.add(menuItemCloudFeed);
        menuFile.add(menuItemSave);
        menuFile.add(menuItemCloudScreen);
        menuFile.add(menuItemSubmit);
        menuFile.add(menuItemCloudShare);
        menuFile.add(menuSubmitOption);
        menuFile.add(kdSeparatorFWFile1);
        menuFile.add(rMenuItemSubmit);
        menuFile.add(rMenuItemSubmitAndAddNew);
        menuFile.add(rMenuItemSubmitAndPrint);
        menuFile.add(separatorFile1);
        menuFile.add(MenuItemAttachment);
        menuFile.add(kDSeparator2);
        menuFile.add(menuItemPageSetup);
        menuFile.add(menuItemPrint);
        menuFile.add(menuItemPrintPreview);
        menuFile.add(kDSeparator6);
        menuFile.add(menuItemSendMail);
        menuFile.add(kDSeparator3);
        menuFile.add(menuItemExitCurrent);
        //menuSubmitOption
        menuSubmitOption.add(chkMenuItemSubmitAndAddNew);
        menuSubmitOption.add(chkMenuItemSubmitAndPrint);
        //menuEdit
        menuEdit.add(menuItemCopy);
        menuEdit.add(menuItemEdit);
        menuEdit.add(menuItemRemove);
        menuEdit.add(kDSeparator4);
        menuEdit.add(menuItemReset);
        menuEdit.add(separator1);
        menuEdit.add(menuItemCreateFrom);
        menuEdit.add(menuItemCreateTo);
        menuEdit.add(menuItemCopyFrom);
        menuEdit.add(separatorEdit1);
        menuEdit.add(menuItemEnterToNextRow);
        menuEdit.add(separator2);
        //MenuService
        MenuService.add(MenuItemKnowStore);
        MenuService.add(MenuItemAnwser);
        MenuService.add(SepratorService);
        MenuService.add(MenuItemRemoteAssist);
        //menuView
        menuView.add(menuItemFirst);
        menuView.add(menuItemPre);
        menuView.add(menuItemNext);
        menuView.add(menuItemLast);
        menuView.add(separator3);
        menuView.add(menuItemTraceUp);
        menuView.add(menuItemTraceDown);
        menuView.add(kDSeparator7);
        menuView.add(menuItemLocate);
        //menuBiz
        menuBiz.add(menuItemCancelCancel);
        menuBiz.add(menuItemCancel);
        menuBiz.add(MenuItemVoucher);
        menuBiz.add(menuItemDelVoucher);
        menuBiz.add(MenuItemPCVoucher);
        menuBiz.add(menuItemDelPCVoucher);
        //menuTable1
        menuTable1.add(menuItemAddLine);
        menuTable1.add(menuItemCopyLine);
        menuTable1.add(menuItemInsertLine);
        menuTable1.add(menuItemRemoveLine);
        //menuTool
        menuTool.add(menuItemSendMessage);
        menuTool.add(menuItemMsgFormat);
        menuTool.add(menuItemCalculator);
        menuTool.add(menuItemToolBarCustom);
        //menuWorkflow
        menuWorkflow.add(menuItemStartWorkFlow);
        menuWorkflow.add(separatorWF1);
        menuWorkflow.add(menuItemViewSubmitProccess);
        menuWorkflow.add(menuItemViewDoProccess);
        menuWorkflow.add(MenuItemWFG);
        menuWorkflow.add(menuItemWorkFlowList);
        menuWorkflow.add(separatorWF2);
        menuWorkflow.add(menuItemMultiapprove);
        menuWorkflow.add(menuItemNextPerson);
        menuWorkflow.add(menuItemAuditResult);
        menuWorkflow.add(kDSeparator5);
        menuWorkflow.add(kDMenuItemSendMessage);
        //menuHelp
        menuHelp.add(menuItemHelp);
        menuHelp.add(kDSeparator12);
        menuHelp.add(menuItemRegPro);
        menuHelp.add(menuItemPersonalSite);
        menuHelp.add(helpseparatorDiv);
        menuHelp.add(menuitemProductval);
        menuHelp.add(kDSeparatorProduct);
        menuHelp.add(menuItemAbout);

    }

    /**
     * output initUIToolBarLayout method
     */
    public void initUIToolBarLayout()
    {
        this.toolBar.add(btnAddNew);
        this.toolBar.add(btnCloud);
        this.toolBar.add(btnEdit);
        this.toolBar.add(btnXunTong);
        this.toolBar.add(btnSave);
        this.toolBar.add(kDSeparatorCloud);
        this.toolBar.add(btnReset);
        this.toolBar.add(btnSubmit);
        this.toolBar.add(btnCopy);
        this.toolBar.add(btnRemove);
        this.toolBar.add(btnCancelCancel);
        this.toolBar.add(btnCancel);
        this.toolBar.add(btnAttachment);
        this.toolBar.add(separatorFW1);
        this.toolBar.add(btnPageSetup);
        this.toolBar.add(btnPrint);
        this.toolBar.add(btnPrintPreview);
        this.toolBar.add(separatorFW2);
        this.toolBar.add(btnFirst);
        this.toolBar.add(btnPre);
        this.toolBar.add(btnNext);
        this.toolBar.add(btnLast);
        this.toolBar.add(separatorFW3);
        this.toolBar.add(btnTraceUp);
        this.toolBar.add(btnTraceDown);
        this.toolBar.add(btnWorkFlowG);
        this.toolBar.add(btnSignature);
        this.toolBar.add(btnViewSignature);
        this.toolBar.add(separatorFW4);
        this.toolBar.add(btnNumberSign);
        this.toolBar.add(separatorFW7);
        this.toolBar.add(btnCreateFrom);
        this.toolBar.add(btnCopyFrom);
        this.toolBar.add(btnCreateTo);
        this.toolBar.add(separatorFW5);
        this.toolBar.add(separatorFW8);
        this.toolBar.add(btnAddLine);
        this.toolBar.add(btnCopyLine);
        this.toolBar.add(btnInsertLine);
        this.toolBar.add(btnRemoveLine);
        this.toolBar.add(separatorFW6);
        this.toolBar.add(separatorFW9);
        this.toolBar.add(btnVoucher);
        this.toolBar.add(btnDelVoucher);
        this.toolBar.add(btnPCVoucher);
        this.toolBar.add(btnDelPCVoucher);
        this.toolBar.add(btnAuditResult);
        this.toolBar.add(btnMultiapprove);
        this.toolBar.add(btnWFViewdoProccess);
        this.toolBar.add(btnWFViewSubmitProccess);
        this.toolBar.add(btnNextPerson);


    }

	//Regiester control's property binding.
	private void registerBindings(){
		dataBinder.registerBinding("entrys.id", com.kingdee.bos.util.BOSUuid.class, this.kdtEntrys, "id.text");
		dataBinder.registerBinding("entrys", com.kingdee.eas.custom.expandassess.ExpandAssessEntryInfo.class, this.kdtEntrys, "userObject");
		dataBinder.registerBinding("entrys.assessor", java.lang.Object.class, this.kdtEntrys, "assessor.text");
		dataBinder.registerBinding("entrys.adminOrg", java.lang.Object.class, this.kdtEntrys, "adminOrg.text");
		dataBinder.registerBinding("entrys.coefficient", java.math.BigDecimal.class, this.kdtEntrys, "coefficient.text");
		dataBinder.registerBinding("entrys.threshold", java.math.BigDecimal.class, this.kdtEntrys, "threshold.text");
		dataBinder.registerBinding("entrys.target", java.math.BigDecimal.class, this.kdtEntrys, "target.text");
		dataBinder.registerBinding("entrys.challenge", java.math.BigDecimal.class, this.kdtEntrys, "challenge.text");
		dataBinder.registerBinding("entrys.principal", java.lang.Object.class, this.kdtEntrys, "principal.text");
		dataBinder.registerBinding("entrys.oneLift", java.math.BigDecimal.class, this.kdtEntrys, "oneLift.text");
		dataBinder.registerBinding("entrys.uniteLift", java.math.BigDecimal.class, this.kdtEntrys, "uniteLift.text");
		dataBinder.registerBinding("entrys.asseStatus", com.kingdee.util.enums.Enum.class, this.kdtEntrys, "asseStatus.text");
		dataBinder.registerBinding("entrys.shareLiftRes", java.math.BigDecimal.class, this.kdtEntrys, "shareLiftRes.text");
		dataBinder.registerBinding("entrys.shareLiftZY", java.math.BigDecimal.class, this.kdtEntrys, "shareLiftZY.text");
		dataBinder.registerBinding("entrys.shareLiftLC", java.math.BigDecimal.class, this.kdtEntrys, "shareLiftLC.text");
		dataBinder.registerBinding("entrys.contracts", java.math.BigDecimal.class, this.kdtEntrys, "contracts.text");
		dataBinder.registerBinding("entrys.rankings", int.class, this.kdtEntrys, "rankings.text");
		dataBinder.registerBinding("entrys.assessRate", com.kingdee.util.enums.Enum.class, this.kdtEntrys, "assessRate.text");
		dataBinder.registerBinding("entrys.checkRate", com.kingdee.util.enums.Enum.class, this.kdtEntrys, "checkRate.text");
		dataBinder.registerBinding("entrys.remark", String.class, this.kdtEntrys, "remark.text");
		dataBinder.registerBinding("entrys.amendAssessRate", com.kingdee.util.enums.Enum.class, this.kdtEntrys, "amendAssessRate.text");
		dataBinder.registerBinding("creator", com.kingdee.eas.base.permission.UserInfo.class, this.prmtCreator, "data");
		dataBinder.registerBinding("createTime", java.sql.Timestamp.class, this.kDDateCreateTime, "value");
		dataBinder.registerBinding("lastUpdateUser", com.kingdee.eas.base.permission.UserInfo.class, this.prmtLastUpdateUser, "data");
		dataBinder.registerBinding("lastUpdateTime", java.sql.Timestamp.class, this.kDDateLastUpdateTime, "value");
		dataBinder.registerBinding("number", String.class, this.txtNumber, "text");
		dataBinder.registerBinding("bizDate", java.util.Date.class, this.pkBizDate, "value");
		dataBinder.registerBinding("description", String.class, this.txtDescription, "text");
		dataBinder.registerBinding("auditor", com.kingdee.eas.base.permission.UserInfo.class, this.prmtAuditor, "data");
		dataBinder.registerBinding("year", int.class, this.txtyear, "value");
		dataBinder.registerBinding("quarter", int.class, this.txtquarter, "value");
		dataBinder.registerBinding("periodType", com.kingdee.eas.basedata.scm.sd.channel.PeriodTypeEnum.class, this.periodType, "selectedItem");
		dataBinder.registerBinding("periodStatus", com.kingdee.eas.custom.expandassess.app.PeriodStatusEnum.class, this.periodStatus, "selectedItem");		
	}
	//Regiester UI State
	private void registerUIState(){		
	}
	public String getUIHandlerClassName() {
	    return "com.kingdee.eas.custom.expandassess.app.ExpandAssessEditUIHandler";
	}
	public IUIActionPostman prepareInit() {
		IUIActionPostman clientHanlder = super.prepareInit();
		if (clientHanlder != null) {
			RequestContext request = new RequestContext();
    		request.setClassName(getUIHandlerClassName());
			clientHanlder.setRequestContext(request);
		}
		return clientHanlder;
    }
	
	public boolean isPrepareInit() {
    	return false;
    }
    protected void initUIP() {
        super.initUIP();
    }


    /**
     * output onShow method
     */
    public void onShow() throws Exception
    {
        super.onShow();
        this.txtyear.requestFocusInWindow();
    }

	
	

    /**
     * output setDataObject method
     */
    public void setDataObject(IObjectValue dataObject)
    {
        IObjectValue ov = dataObject;        	    	
        super.setDataObject(ov);
        this.editData = (com.kingdee.eas.custom.expandassess.ExpandAssessInfo)ov;
    }
    protected void removeByPK(IObjectPK pk) throws Exception {
    	IObjectValue editData = this.editData;
    	super.removeByPK(pk);
    	recycleNumberByOrg(editData,"NONE",editData.getString("number"));
    }
    
    protected void recycleNumberByOrg(IObjectValue editData,String orgType,String number) {
        if (!StringUtils.isEmpty(number))
        {
            try {
            	String companyID = null;            
            	com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID =com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}				
				if (!StringUtils.isEmpty(companyID) && iCodingRuleManager.isExist(editData, companyID) && iCodingRuleManager.isUseIntermitNumber(editData, companyID)) {
					iCodingRuleManager.recycleNumber(editData,companyID,number);					
				}
            }
            catch (Exception e)
            {
                handUIException(e);
            }
        }
    }
    protected void setAutoNumberByOrg(String orgType) {
    	if (editData == null) return;
		if (editData.getNumber() == null) {
            try {
            	String companyID = null;
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID = com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}
				com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
		        if (iCodingRuleManager.isExist(editData, companyID)) {
		            if (iCodingRuleManager.isAddView(editData, companyID)) {
		            	editData.setNumber(iCodingRuleManager.getNumber(editData,companyID));
		            }
	                txtNumber.setEnabled(false);
		        }
            }
            catch (Exception e) {
                handUIException(e);
                this.oldData = editData;
                com.kingdee.eas.util.SysUtil.abort();
            } 
        } 
        else {
            if (editData.getNumber().trim().length() > 0) {
                txtNumber.setText(editData.getNumber());
            }
        }
    }

    /**
     * output loadFields method
     */
    public void loadFields()
    {
        		setAutoNumberByOrg("NONE");
        dataBinder.loadFields();
    }
		protected void setOrgF7(KDBizPromptBox f7,com.kingdee.eas.basedata.org.OrgType orgType) throws Exception
		{
			com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer oufip = new com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer(orgType);
			oufip.getModel().setIsCUFilter(true);
			f7.setFilterInfoProducer(oufip);
		}

    /**
     * output storeFields method
     */
    public void storeFields()
    {
		dataBinder.storeFields();
    }

	/**
	 * ??????????
	 */
	protected void registerValidator() {
    	getValidateHelper().setCustomValidator( getValidator() );
		getValidateHelper().registerBindProperty("entrys.id", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.assessor", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.adminOrg", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.coefficient", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.threshold", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.target", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.challenge", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.principal", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.oneLift", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.uniteLift", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.asseStatus", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.shareLiftRes", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.shareLiftZY", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.shareLiftLC", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.contracts", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.rankings", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.assessRate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.checkRate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.remark", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.amendAssessRate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("creator", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("createTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateUser", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("number", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bizDate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("description", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("auditor", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("year", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("quarter", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("periodType", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("periodStatus", ValidateHelper.ON_SAVE);    		
	}



    /**
     * output setOprtState method
     */
    public void setOprtState(String oprtType)
    {
        super.setOprtState(oprtType);
        if (STATUS_ADDNEW.equals(this.oprtState)) {
        } else if (STATUS_EDIT.equals(this.oprtState)) {
        } else if (STATUS_VIEW.equals(this.oprtState)) {
        } else if (STATUS_FINDVIEW.equals(this.oprtState)) {
        }
    }

    /**
     * output getSelectors method
     */
    public SelectorItemCollection getSelectors()
    {
        SelectorItemCollection sic = new SelectorItemCollection();
		String selectorAll = System.getProperty("selector.all");
		if(StringUtils.isEmpty(selectorAll)){
			selectorAll = "true";
		}
    	sic.add(new SelectorItemInfo("entrys.id"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("entrys.*"));
		}
		else{
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("entrys.assessor.*"));
		}
		else{
	    	sic.add(new SelectorItemInfo("entrys.assessor.id"));
			sic.add(new SelectorItemInfo("entrys.assessor.name"));
        	sic.add(new SelectorItemInfo("entrys.assessor.number"));
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("entrys.adminOrg.*"));
		}
		else{
	    	sic.add(new SelectorItemInfo("entrys.adminOrg.id"));
			sic.add(new SelectorItemInfo("entrys.adminOrg.name"));
        	sic.add(new SelectorItemInfo("entrys.adminOrg.number"));
		}
    	sic.add(new SelectorItemInfo("entrys.coefficient"));
    	sic.add(new SelectorItemInfo("entrys.threshold"));
    	sic.add(new SelectorItemInfo("entrys.target"));
    	sic.add(new SelectorItemInfo("entrys.challenge"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("entrys.principal.*"));
		}
		else{
	    	sic.add(new SelectorItemInfo("entrys.principal.id"));
			sic.add(new SelectorItemInfo("entrys.principal.name"));
        	sic.add(new SelectorItemInfo("entrys.principal.number"));
		}
    	sic.add(new SelectorItemInfo("entrys.oneLift"));
    	sic.add(new SelectorItemInfo("entrys.uniteLift"));
    	sic.add(new SelectorItemInfo("entrys.asseStatus"));
    	sic.add(new SelectorItemInfo("entrys.shareLiftRes"));
    	sic.add(new SelectorItemInfo("entrys.shareLiftZY"));
    	sic.add(new SelectorItemInfo("entrys.shareLiftLC"));
    	sic.add(new SelectorItemInfo("entrys.contracts"));
    	sic.add(new SelectorItemInfo("entrys.rankings"));
    	sic.add(new SelectorItemInfo("entrys.assessRate"));
    	sic.add(new SelectorItemInfo("entrys.checkRate"));
    	sic.add(new SelectorItemInfo("entrys.remark"));
    	sic.add(new SelectorItemInfo("entrys.amendAssessRate"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("creator.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("creator.id"));
        	sic.add(new SelectorItemInfo("creator.number"));
        	sic.add(new SelectorItemInfo("creator.name"));
		}
        sic.add(new SelectorItemInfo("createTime"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("lastUpdateUser.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("lastUpdateUser.id"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.number"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.name"));
		}
        sic.add(new SelectorItemInfo("lastUpdateTime"));
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("bizDate"));
        sic.add(new SelectorItemInfo("description"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("auditor.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("auditor.id"));
        	sic.add(new SelectorItemInfo("auditor.number"));
        	sic.add(new SelectorItemInfo("auditor.name"));
		}
        sic.add(new SelectorItemInfo("year"));
        sic.add(new SelectorItemInfo("quarter"));
        sic.add(new SelectorItemInfo("periodType"));
        sic.add(new SelectorItemInfo("periodStatus"));
        return sic;
    }        
    	

    /**
     * output actionSubmit_actionPerformed method
     */
    public void actionSubmit_actionPerformed(ActionEvent e) throws Exception
    {
        super.actionSubmit_actionPerformed(e);
    }
    	

    /**
     * output actionPrint_actionPerformed method
     */
    public void actionPrint_actionPerformed(ActionEvent e) throws Exception
    {
        ArrayList idList = new ArrayList();
    	if (editData != null && !StringUtils.isEmpty(editData.getString("id"))) {
    		idList.add(editData.getString("id"));
    	}
        if (idList == null || idList.size() == 0 || getTDQueryPK() == null || getTDFileName() == null)
            return;
        com.kingdee.bos.ctrl.kdf.data.impl.BOSQueryDelegate data = new com.kingdee.eas.framework.util.CommonDataProvider(idList,getTDQueryPK());
        com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper appHlp = new com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper();
        appHlp.print(getTDFileName(), data, javax.swing.SwingUtilities.getWindowAncestor(this));
    }
    	

    /**
     * output actionPrintPreview_actionPerformed method
     */
    public void actionPrintPreview_actionPerformed(ActionEvent e) throws Exception
    {
        ArrayList idList = new ArrayList();
        if (editData != null && !StringUtils.isEmpty(editData.getString("id"))) {
    		idList.add(editData.getString("id"));
    	}
        if (idList == null || idList.size() == 0 || getTDQueryPK() == null || getTDFileName() == null)
            return;
        com.kingdee.bos.ctrl.kdf.data.impl.BOSQueryDelegate data = new com.kingdee.eas.framework.util.CommonDataProvider(idList,getTDQueryPK());
        com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper appHlp = new com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper();
        appHlp.printPreview(getTDFileName(), data, javax.swing.SwingUtilities.getWindowAncestor(this));
    }
	public RequestContext prepareActionSubmit(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionSubmit(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionSubmit() {
    	return false;
    }
	public RequestContext prepareActionPrint(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionPrint(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionPrint() {
    	return false;
    }
	public RequestContext prepareActionPrintPreview(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionPrintPreview(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionPrintPreview() {
    	return false;
    }

    /**
     * output getMetaDataPK method
     */
    public IMetaDataPK getMetaDataPK()
    {
        return new MetaDataPK("com.kingdee.eas.custom.expandassess.client", "ExpandAssessEditUI");
    }
    /**
     * output isBindWorkFlow method
     */
    public boolean isBindWorkFlow()
    {
        return true;
    }

    /**
     * output getEditUIName method
     */
    protected String getEditUIName()
    {
        return com.kingdee.eas.custom.expandassess.client.ExpandAssessEditUI.class.getName();
    }

    /**
     * output getBizInterface method
     */
    protected com.kingdee.eas.framework.ICoreBase getBizInterface() throws Exception
    {
        return com.kingdee.eas.custom.expandassess.ExpandAssessFactory.getRemoteInstance();
    }

    /**
     * output createNewData method
     */
    protected IObjectValue createNewData()
    {
        com.kingdee.eas.custom.expandassess.ExpandAssessInfo objectValue = new com.kingdee.eas.custom.expandassess.ExpandAssessInfo();
        objectValue.setCreator((com.kingdee.eas.base.permission.UserInfo)(com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentUser()));		
        return objectValue;
    }


    	protected String getTDFileName() {
    	return "/bim/custom/expandassess/ExpandAssess";
	}
    protected IMetaDataPK getTDQueryPK() {
    	return new MetaDataPK("com.kingdee.eas.custom.expandassess.app.ExpandAssessQuery");
	}
    

    /**
     * output getDetailTable method
     */
    protected KDTable getDetailTable() {
        return kdtEntrys;
	}
    /**
     * output applyDefaultValue method
     */
    protected void applyDefaultValue(IObjectValue vo) {        
		vo.put("periodStatus","1");
        
    }        
	protected void setFieldsNull(com.kingdee.bos.dao.AbstractObjectValue arg0) {
		super.setFieldsNull(arg0);
		arg0.put("number",null);
	}

}