package com.kingdee.eas.custom.notify.app;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.eas.custom.notify.NotifyTodoInfo;
import com.kingdee.eas.custom.notify.SendContextInfo;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.custom.notify.RemoveContextInfo;
import com.kingdee.eas.custom.notify.NotifyTodoCollection;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.notify.UpdateContentInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.framework.app.CoreBillBaseController;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

import java.rmi.RemoteException;
import com.kingdee.bos.framework.ejb.BizController;

public interface NotifyTodoController extends CoreBillBaseController
{
    public NotifyTodoCollection getNotifyTodoCollection(Context ctx) throws BOSException, RemoteException;
    public NotifyTodoCollection getNotifyTodoCollection(Context ctx, EntityViewInfo view) throws BOSException, RemoteException;
    public NotifyTodoCollection getNotifyTodoCollection(Context ctx, String oql) throws BOSException, RemoteException;
    public NotifyTodoInfo getNotifyTodoInfo(Context ctx, IObjectPK pk) throws BOSException, EASBizException, RemoteException;
    public NotifyTodoInfo getNotifyTodoInfo(Context ctx, IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException, RemoteException;
    public NotifyTodoInfo getNotifyTodoInfo(Context ctx, String oql) throws BOSException, EASBizException, RemoteException;
    public void updateTodo(Context ctx, UpdateContentInfo content) throws BOSException, EASBizException, RemoteException;
    public void sendTodo(Context ctx, SendContextInfo content) throws BOSException, EASBizException, RemoteException;
    public void setTodoDone(Context ctx, RemoveContextInfo content) throws BOSException, EASBizException, RemoteException;
    public void deleteTodo(Context ctx, RemoveContextInfo content) throws BOSException, EASBizException, RemoteException;
}