package com.kingdee.eas.custom.projectbonus.web.handler;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.*;
import com.kingdee.bos.metadata.query.util.CompareType;
import com.kingdee.eas.basedata.org.AdminOrgUnitInfo;
import com.kingdee.eas.custom.projectbonus.*;
import com.kingdee.eas.custom.projectbonus.task.ProjectbonusFacadeFactory;
import com.kingdee.eas.framework.ICoreBase;
import com.kingdee.eas.hr.ats.AtsUtil;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;
import com.kingdee.shr.base.syssetting.web.json.JSONUtils;
import com.kingdee.util.StringUtils;
import org.apache.log4j.Logger;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.*;

/**
 * @Description Աϸб̬бhandler Ѽ㣨רԱ
 * @Date 2024/4/22 17:56
 * @Created by Heyuan
 */
public class PersonnelDetailCalculatedDynamicListHandler extends ProjectBonusDynamicHandler {
    private static Logger logger = Logger.getLogger(PersonnelDetailCalculatedDynamicListHandler.class);


    /**
     * ȡЧڹ
     * Ƴ෽
     *
     * @param effectDate
     * @return
     */
    protected FilterInfo getEffectDateFilter(Date effectDate) {
        return null;
    }


    /**
     * ȡĬϱ༭
     *
     * @param request
     * @return
     */
//    protected Map<String, Map<String, Object>> getDefultEditColumnsSetting(
//            HttpServletRequest request) {
//        try {
//            //F7༭
//            Map<String, Map<String, Object>> result = new HashMap();
//            //޽ֹ
//            EditColumnInfo dateEditColumnInfo = new EditColumnInfo();
//            dateEditColumnInfo.setName("bdpapd.bonusduedate");
//            dateEditColumnInfo.setFormatter("shrDateTimePicker");
//            dateEditColumnInfo.setEdittype("shrDateTimePicker");
//            dateEditColumnInfo.setType("shrDateTimePicker");
//            EditOptions dateEditoptions = dateEditColumnInfo.getEditoptions();
//            dateEditoptions.getDatepickerjson();
//            result.put("bdpapd.bonusduedate", dateEditColumnInfo.convertToMap());
//            //
//            EditColumnInfo dateEditColumnInfo2 = new EditColumnInfo();
//            dateEditColumnInfo2.setName("bdpapd.bonusstartingdate");
//            dateEditColumnInfo2.setFormatter("shrDateTimePicker");
//            dateEditColumnInfo2.setEdittype("shrDateTimePicker");
//            dateEditColumnInfo2.setType("shrDateTimePicker");
//            EditOptions dateEditoptions2 = dateEditColumnInfo2.getEditoptions();
//            dateEditoptions2.getDatepickerjson();
//            result.put("bdpapd.bonusstartingdate", dateEditColumnInfo2.convertToMap());
//            return result;
//        } catch (Exception e) {
//            e.printStackTrace();
//            logger.error(e.getMessage());
//            throw new RuntimeException(e.getMessage());
//        }
//    }

    /**
     * ̬
     *
     * @param request
     * @param response
     * @param modelMap
     * @return
     * @throws SHRWebException
     */
//    public void saveDynGridAction(HttpServletRequest request,
//                                  HttpServletResponse response,
//                                  ModelMap modelMap) throws SHRWebException {
//        List<Map<String, Object>> dataList = (List) JSONUtils.convertJsonToObject(request.getParameter("modi"), List.class);
//        try {
//            IBonusCycleBusDepProjectAssPersonnelDetail iPersonnelDetail = (IBonusCycleBusDepProjectAssPersonnelDetail) getBizInterface(request);
//            //ݼ
//            Map<String, BonusCycleBusDepProjectAssPersonnelDetailInfo> updateCols = new HashMap<String, BonusCycleBusDepProjectAssPersonnelDetailInfo>();
//            //ֶ
//            Map<String, SelectorItemCollection> updateSics = new HashMap<String, SelectorItemCollection>();
//            for (int i = 0; i < dataList.size(); i++) {
//                Map<String, Object> map = dataList.get(i);
//                String idxValue = (String) map.get("fid");
//                BonusCycleBusDepProjectAssPersonnelDetailInfo info;
//                SelectorItemCollection updateSic;
//                if (updateCols.containsKey(idxValue)) {
//                    info = updateCols.get(idxValue);
//                } else {
//                    info = new BonusCycleBusDepProjectAssPersonnelDetailInfo();
//                    info.setId(BOSUuid.read(idxValue));
//                    updateCols.put(idxValue, info);
//                }
//                //
//                if (updateSics.containsKey(idxValue)) {
//                    updateSic = updateSics.get(idxValue);
//                } else {
//                    updateSic = new SelectorItemCollection();
//                    updateSics.put(idxValue, updateSic);
//                }
//                //
//                String colName = (String) map.get("column");
//                //
//                String dataType = (String) map.get("type");
//                //ֵ
//                Object valueObj = map.get("value");
//                if ("BigDecimal".equals(dataType) && StringUtils.isEmpty(valueObj.toString())) {
//                    valueObj = BigDecimal.ZERO;
//                }
//                updateSic.add(colName);
//                info.put(colName, valueObj);
//            }
//            for (String id : updateCols.keySet()) {
//                BonusCycleBusDepProjectAssPersonnelDetailInfo info = updateCols.get(id);
//                SelectorItemCollection updateSic = updateSics.get(id);
//                //
//                iPersonnelDetail.updatePartial(info, updateSic);
//            }
//            JSONUtils.SUCCESS("ɹ޸" + updateCols.size() + "");
//        } catch (Exception var27) {
//            var27.printStackTrace();
//            logger.error(var27.getMessage());
//            throw new ShrWebBizException(var27.getMessage(), var27);
//        }
//    }


    /**
     * @param request
     * @return
     * @throws SHRWebException
     */
    @Override
    protected ICoreBase getBizInterface(HttpServletRequest request) throws SHRWebException {
        Context ctx = SHRContext.getInstance().getContext();
        try {
            String method = request.getParameter("method");
            if ("withdrawToSubmited".equals(method) ) {
                return BonusCycleBusDepProjectFactory.getLocalInstance(ctx);
            }
            return BonusCycleBusDepProjectAssPersonnelDetailFactory.getLocalInstance(ctx);
        } catch (BOSException e) {
            e.printStackTrace();
            logger.error(e.getMessage());
            throw new ShrWebBizException(e.getMessage());
        }
    }

    /**
     * ύ
     *
     *
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     */
    public void withdrawToSubmitedAction(HttpServletRequest request,
                                      HttpServletResponse response,
                                      ModelMap modelMap) throws SHRWebException {
        this.handleEnableWithTips(request, "withdrawToSubmited");
    }

    /**
     * ߰
     *
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     */
    public void noticePrincipalAction(HttpServletRequest request,
                                      HttpServletResponse response,
                                      ModelMap modelMap) throws SHRWebException {
        Context ctx = SHRContext.getInstance().getContext();
        try {
            String parentId = request.getParameter("parentId");
            String resultMsg = ProjectbonusFacadeFactory.getLocalInstance(ctx)
                    .noticePrincipal(parentId);
            JSONUtils.SUCCESS(resultMsg);
        } catch (Exception e) {
            e.printStackTrace();
            throw new ShrWebBizException(e.getMessage());
        }
    }

    /**
     * ͨidȡ״̬
     *
     * @param request
     * @param response
     * @param modelMap
     * @return
     * @throws SHRWebException
     */
    public void getBusDepProjectByIdAction(HttpServletRequest request,
                                           HttpServletResponse response,
                                           ModelMap modelMap) throws SHRWebException {
        //id
        String busDepIds = request.getParameter("busDepIds");
        if (StringUtils.isEmpty(busDepIds)) {
            throw new ShrWebBizException("ҵidΪգ");
        }
        Context ctx = SHRContext.getInstance().getContext();
        try {
            IBonusCycleBusDepProject iBonusCycleBusDepProject = BonusCycleBusDepProjectFactory.getLocalInstance(ctx);
            SelectorItemCollection sic = new SelectorItemCollection();
            sic.add("id");
            sic.add("type");
            sic.add("busDep.name");
            sic.add("busDep.number");
            sic.add("project.name");
            sic.add("project.number");
            sic.add("secondcenter.number");
            sic.add("secondcenter.name");
            FilterInfo filterInfo = new FilterInfo();
            FilterItemCollection filterItems = filterInfo.getFilterItems();
            filterItems.add(new FilterItemInfo("id", AtsUtil.toSet(busDepIds), CompareType.INCLUDE));
            EntityViewInfo entityViewInfo = EntityViewInfo.getInstance(filterInfo, sic, null);
            BonusCycleBusDepProjectCollection depProjectCols = iBonusCycleBusDepProject.getBonusCycleBusDepProjectCollection(entityViewInfo);
            List<Map<String, String>> list = new ArrayList<Map<String, String>>();
            for (int i = 0; i < depProjectCols.size(); i++) {
                Map<String, String> map = new HashMap<String, String>();
                BonusCycleBusDepProjectInfo depProjectInfo = depProjectCols.get(i);
                map.put("bdpapd.id", depProjectInfo.getId().toString());
                map.put("busdep.name", depProjectInfo.getBusDep().getName());
                AdminOrgUnitInfo secondcenter = depProjectInfo.getSecondcenter();
                if (secondcenter != null) {
                    map.put("secondcenter.name", secondcenter.getName());
                } else {
                    map.put("secondcenter.name", null);
                }
                map.put("bdp.type", depProjectInfo.getType());
                AdminOrgUnitInfo project = depProjectInfo.getProject();
                if (project != null) {
                    map.put("project.name", project.getName());
                } else {
                    map.put("project.name", null);
                }
                list.add(map);
            }
            JSONUtils.SUCCESS(list);
        } catch (Exception e) {
            e.printStackTrace();
            throw new ShrWebBizException(e.getMessage());
        }
    }
}
