package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBillEntryBase;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.expandassess.app.*;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class QuarterlyRatioEntry extends CoreBillEntryBase implements IQuarterlyRatioEntry
{
    public QuarterlyRatioEntry()
    {
        super();
        registerInterface(IQuarterlyRatioEntry.class, this);
    }
    public QuarterlyRatioEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IQuarterlyRatioEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("AA46165B");
    }
    private QuarterlyRatioEntryController getController() throws BOSException
    {
        return (QuarterlyRatioEntryController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public QuarterlyRatioEntryInfo getQuarterlyRatioEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getQuarterlyRatioEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public QuarterlyRatioEntryInfo getQuarterlyRatioEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getQuarterlyRatioEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public QuarterlyRatioEntryInfo getQuarterlyRatioEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getQuarterlyRatioEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public QuarterlyRatioEntryCollection getQuarterlyRatioEntryCollection() throws BOSException
    {
        try {
            return getController().getQuarterlyRatioEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public QuarterlyRatioEntryCollection getQuarterlyRatioEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getQuarterlyRatioEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public QuarterlyRatioEntryCollection getQuarterlyRatioEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getQuarterlyRatioEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}