package com.kingdee.eas.custom.expandassess.service;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.metadata.entity.FilterInfo;
import com.kingdee.bos.metadata.entity.FilterItemInfo;
import com.kingdee.bos.metadata.query.util.CompareType;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.expandassess.ExpandAssessEntryCollection;
import com.kingdee.eas.custom.expandassess.QuarterlyRatioCollection;
import com.kingdee.eas.custom.expandassess.app.ExpandStatusEunm;
import com.kingdee.eas.custom.performancenew.ExamineGradePersonEntryCollection;
import com.kingdee.eas.custom.performancenew.ExamineGradePersonEntryFactory;
import com.kingdee.eas.custom.performancenew.ExamineGradePersonEntryInfo;
import com.kingdee.eas.custom.performancenew.IExamineGradePersonEntry;
import com.kingdee.eas.custom.performancenew.app.orderStatucEnum;
import com.kingdee.eas.hr.ats.AtsUtil;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;

/**
 * @author qingwu
 * @date 2024/5/17
 * @apiNote
 */
public interface ExpandAssessService {

    /**
     * УǷ
     *
     * @param billId
     */
    public boolean verifyeriodLockOrNot(Context ctx, String billId) throws BOSException, ShrWebBizException;

    /**
     * ͨȡȱ
     *
     * @param year
     * @return
     */
    public QuarterlyRatioCollection getQuarterlyRatioByYear(Context ctx, int year) throws BOSException;

    /**
     * ѯ¼ͨIdͲID
     *
     * @param ctx
     * @param billId
     * @param adminOrgId
     * @return
     */
    public ExpandAssessEntryCollection qeruyEntryByBillIdAndAdminOrg(Context ctx, String billId, String adminOrgId) throws BOSException;

    /**
     * ޸״̬
     *
     * @param ctx
     * @param idArray   ID
     * @param eunm1     ж
     * @param eunm2     ֵ
     * @param errorText ʾ
     */
    public void updateAsseStatusAll(Context ctx, String idArray, ExpandStatusEunm eunm1, ExpandStatusEunm eunm2, String errorText) throws ShrWebBizException, BOSException, EASBizException;

    /**
     * ȡǰ¼Ϊ˵
     *
     * @param ctx
     * @param billId
     * @return
     * @throws ShrWebBizException
     * @throws BOSException
     */
    public ExpandAssessEntryCollection getCurrentPersonEqualsPrincipal(Context ctx, String billId, String adminId) throws ShrWebBizException, BOSException;

    /**
     * ֯
     *
     * @param billID
     * @return
     */
    public String getAdminOrgFilter(Context ctx, String billID) throws ShrWebBizException, BOSException;

    /**
     * Уύ״̬Ƿ
     */
    public void verifyStatus(String trs);


    /**
     * ѯ¼
     *
     * @param billId
     */
    public ExpandAssessEntryCollection getEntrysByBill(Context ctx, String billId) throws ShrWebBizException, BOSException;

    /**
     * רԱ̬бɾ
     *
     * @param ctx
     * @param idArray
     * @throws BOSException
     * @throws ShrWebBizException
     * @throws EASBizException
     */
    public void deleteExpandAssessEntry(Context ctx, String idArray) throws BOSException, ShrWebBizException, EASBizException;
}
