package com.kingdee.eas.custom.performancenew.handler;

import com.kingdee.bos.Context;
import com.kingdee.eas.custom.performancenew.*;
import com.kingdee.eas.custom.performancenew.app.periodStatusEnum;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.web.handler.EditHandler;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author qingwu
 * @date 2024/4/11
 * @apiNote ڼ ͨ רԱ
 */
public class ExamineZQJDEditHandler extends EditHandler {
    private Context ctx = SHRContext.getInstance().getContext();

    /**
     * ҳʱ ʼڽ
     *
     * @param request
     * @param response
     * @param modelMap
     * @return
     * @throws SHRWebException
     */
    @Override
    protected CoreBaseInfo createNewModel(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws SHRWebException {
        ExamineGradePersonInfo examineGradePersonInfo = (ExamineGradePersonInfo) super.createNewModel(request, response, modelMap);
        examineGradePersonInfo.setPeriodStatus(periodStatusEnum.periodRelieve);
        return examineGradePersonInfo;
    }
}
