package com.kingdee.eas.custom.performancenew.handler.service;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.sql.ParserException;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.performancenew.ExamineGradePersonEntryCollection;
import com.kingdee.eas.custom.performancenew.ExamineGradePersonEntryInfo;
import com.kingdee.eas.custom.performancenew.IExamineGradePersonEntry;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

/**
 * @author qingwu
 * @date 2024/5/13
 * @apiNote
 */
public interface ExamineScorePersonService {
    /**
     * @param ctx
     * @param list      ֪ͨԱ
     * @param appName   ͼ
     * @param modelName ģ
     * @param modelId   ΨһID
     * @param subject   ͼַ
     * @param link
     */
    public void assessPrass(Context ctx, List<ExamineGradePersonEntryInfo> list, String appName, String modelName, String modelId, String subject, String link) throws ShrWebBizException, BOSException, EASBizException;

    /**
     * УǷ
     */
    void verifyisLock(String id) throws ShrWebBizException, BOSException, EASBizException;

    /**
     * ֯
     *
     * @param billID
     * @return
     */
    public String getAdminOrgFilter(String billID, boolean isSynUpLastLevelAndUpLastScore);


    /**
     * ȡǰ¼˵˵
     *
     * @param billID
     * @return
     */
    public ExamineGradePersonEntryCollection getCurrentPersonEqualsScore(String billID, String adminId,boolean isScorer) throws ParserException, BOSException;

    /**
     * УǷ˳ظϲ,ͱ÷
     *
     * @param entrys
     * @return
     */
    public Map isSorted(ExamineGradePersonEntryCollection entrys) throws ShrWebBizException;

    /**
     * ÷
     *
     * @param map    key ID  Ͳŵȼ
     * @param entrys
     * @throws BOSException
     * @throws EASBizException
     */
    public void saveScore(Map<String, Object> map,
                          ExamineGradePersonEntryCollection entrys)
            throws BOSException, EASBizException, ShrWebBizException;

    /**
     * ޸ı÷
     *
     * @param entrys
     * @param iExamineGradePersonEntry
     * @param key
     * @param i
     * @param scoreLevelMap
     * @throws BOSException
     * @throws EASBizException
     */
    public void saveExamineScorer(ExamineGradePersonEntryCollection entrys, IExamineGradePersonEntry iExamineGradePersonEntry, String key, int i, Map<String, List<String>> scoreLevelMap) throws BOSException, EASBizException, ShrWebBizException;

    /**
     * ȡ÷ּ
     *
     * @param num       
     * @param scoreType ֯Ч÷ A B+ B B- C D
     */
    public Map getScoreLevelList(int num, String scoreType);

    /**
     * ȡϼȺ͵ǰȵĺ ȥǰȵĵȼ õľǵǰȵȼ͸ б
     *
     * @param listArray
     * @param addupScore
     */
    public void getListArrayGradeNum(List<String> listArray, Map addupScore);

    /**
     * ͬ˽
     *
     * @param billID
     * @param isSynUpLastLevelAndUpLastScore Ƿֺͬ͵ȼֶ
     * @throws BOSException
     * @throws EASBizException
     * @throws ShrWebBizException
     * @throws SQLException
     * @throws ParserException
     */
    public void synEvaluationResultAction(String billID, boolean isSynUpLastLevelAndUpLastScore) throws BOSException, EASBizException, ShrWebBizException, SQLException, ParserException;

    /***
     * ά˳
     * @param billId
     */
    public void maintainIndex(String billId) throws BOSException;
}
